Skip to main content

List project plan task assignees

GET 

/api/project-plan-task-assignees

Required permissions:

  • project_plan.view: allows view of project plan task assignees.

Request

Query Parameters

    employee_id integer

    Possible values: >= 1

    Filter items by the employee_id field.

    project_plan_task_id integer

    Possible values: >= 1

    Filter items by the project_plan_task_id field.

    project_id integer

    Possible values: >= 1

    Filter items by the project_id field.

    limit integer

    Possible values: >= 1 and <= 100

    Default value: 100

    The number of items to include in the response.

    offset integer

    Default value: 0

    The offset of the first returned item.

    updated_at date-time

    Filter items by the updated_at field.

    Operators:

    Usage: eq:{value}

Header Parameters

    Wethod-Company stringrequired

    The company you want to interact with

    Wethod-Version stringrequired

    The API version you want to use

Responses

Returns the list of project plan task assignees.

Schema

  • Array [

  • id integerrequired

    Possible values: >= 1

    The ID of the project plan task assignee

    created_at date-timerequired

    The date and time when the resource was created

    updated_at date-timerequired

    The date and time when the resource was last updated

    employee_id integerrequired

    Possible values: >= 1

    The ID of the assigned employee

    project_plan_task_id integerrequired

    Possible values: >= 1

    The ID of the project plan task this assignee is attached to

    hours integerrequired

    The number of hours allocated to this assignee

    strategy stringnullable

    Possible values: [front, even]

    The allocation strategy used by the assignee

  • ]

Loading...